astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- Chebyshev2D

# Chebyshev2D

class `astropy.modeling.polynomial.``Chebyshev2D`

  Bases: `astropy.modeling.polynomial.OrthoPolynomialBase`

  2D Chebyshev polynomial of the 1st kind.

  It is defined as

  P_{n_m}(x,y) = \sum C_{n_m} T_n(x) T_m(y)

  Parameters:

  x_degree : int

  > degree in x

  y_degree : int

  > degree in y

  x_domain : list or None, optional

  > domain of the x independent variable

  y_domain : list or None, optional

  > domain of the y independent variable

  x_window : list or None, optional

  > range of the x independent variable

  y_window : list or None, optional

  > range of the y independent variable

  **params : dict

  > keyword: value pairs, representing parameter_name: value

  Other Parameters:

  fixed : a dict

  > A dictionary `{parameter_name: boolean}` of parameters to not be varied during fitting. True means the parameter is held fixed. Alternatively the `fixed` property of a parameter may be used.

  tied : dict

  > A dictionary `{parameter_name: callable}` of parameters which are linked to some other parameter. The dictionary values are callables providing the linking relationship. Alternatively the `tied` property of a parameter may be used.

  bounds : dict

  > A dictionary `{parameter_name: boolean}` of lower and upper bounds of parameters. Keys are parameter names. Values are a list of length 2 giving the desired range for the parameter. Alternatively the `min` and `max` properties of a parameter may be used.

  eqcons : list

  > A list of functions of length `n` such that `eqcons[j](x0,*args) == 0.0` in a successfully optimized problem.

  ineqcons : list

  > A list of functions of length `n` such that `ieqcons[j](x0,*args) >= 0.0` is a successfully optimized problem.

  Methods Summary

  `fit_deriv`(x, y, *params) | Derivatives with respect to the coefficients.

  Methods Documentation

  `fit_deriv`(x, y, *params)

    Derivatives with respect to the coefficients.

    This is an array with Chebyshev polynomials:

    T_{x_0}T_{y_0}, T_{x_1}T_{y_0}...T_{x_n}T_{y_0}...T_{x_n}T_{y_m}

    Parameters:

    x : ndarray

    > input

    y : ndarray

    > input

    params : throw away parameter

    > parameter list returned by non-linear fitters

    Returns:

    result : ndarray

    > The Vandermonde matrix